
Smart Proxy - Bug #5054

Minor bug fixes for Realm FreeIPA Smart Proxy

04/03/2014 11:39 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Realm   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When FreeIPA is managing DNS records, and you attempt to delete a host that hasn't been built yet, the call will fail and the host

won't be deleted in FreeIPA.

The DNS record isn't created until the host is provisioned.

Related issues:

Has duplicate Smart Proxy - Bug #5078: Realm delete should differentiate betw... Duplicate 04/04/2014

Associated revisions

Revision 4d3f2dfa - 04/25/2014 01:58 PM - Stephen Benjamin

fixes #5054 - Minor bug fixes to FreeIPA Smart Proxy

History

#1 - 04/03/2014 03:16 PM - Stephen Benjamin

- Status changed from New to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/145

#2 - 04/03/2014 03:27 PM - Dominic Cleal

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

#3 - 04/08/2014 02:56 PM - Stephen Benjamin

- Subject changed from FreeIPA Realm entry isn't deleted when host hasn't been built to Minor bug fixes for Realm FreeIPA Smart Proxy

FreeIPA Realm entry isn't deleted when host hasn't been built

When FreeIPA is managing DNS records, and you attempt to delete a host that hasn't been built yet, the call will fail and the host won't be

deleted in FreeIPA.

Return 404 when host not found during delete instead of 400

Don't rescue when host disable fails

In order to request a new OTP, we must disable the host when it's already been enrolled.  Remove the rescue.

#4 - 04/08/2014 02:57 PM - Stephen Benjamin

- Has duplicate Bug #5078: Realm delete should differentiate between failure and when entries are not found added

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 04/24/2014 10:22 AM - Anonymous
https://github.com/theforeman/smart-proxy/pull/145


- Target version changed from 1.8.3 to 1.8.4

#7 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 04/25/2014 02:52 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4d3f2dfa880ad3bd569e29d238bdb52d53813532.
